"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Text = _interopRequireDefault(require("../Text"));

var _useThemeProps = require("../../../hooks/useThemeProps");

var _styled = require("../../../utils/styled");

var _colorMode = require("../../../core/color-mode");

var _hooks = require("../../../hooks");

var _NativeBaseContext = require("../../../core/NativeBaseContext");

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Heading = (props, ref) => {
  var _props$fontFamily, _props$fontWeight, _props$fontStyle;

  //@ts-ignore
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  const {
    size,
    ...resolvedProps
  } = (0, _useThemeProps.usePropsResolution)('Heading', props, {});
  const {
    colorMode
  } = (0, _colorMode.useColorMode)();
  const {
    theme
  } = (0, _hooks.useNativeBase)();
  const providerId = (0, _NativeBaseContext.useNativeBaseConfig)('NativeBase').providerId;
  const {
    styleFromProps
  } = (0, _styled.getThemeProps)(theme, providerId, 'Heading', {
    colorMode,
    platform: _reactNative.Platform.OS
  });
  return /*#__PURE__*/_react.default.createElement(_Text.default, _extends({}, resolvedProps, {
    ref: ref,
    fontFamily: (_props$fontFamily = props.fontFamily) !== null && _props$fontFamily !== void 0 ? _props$fontFamily : styleFromProps === null || styleFromProps === void 0 ? void 0 : styleFromProps.fontFamily,
    fontWeight: (_props$fontWeight = props.fontWeight) !== null && _props$fontWeight !== void 0 ? _props$fontWeight : styleFromProps === null || styleFromProps === void 0 ? void 0 : styleFromProps.fontWeight,
    fontStyle: (_props$fontStyle = props.fontStyle) !== null && _props$fontStyle !== void 0 ? _props$fontStyle : styleFromProps.fontStyle
  }));
};

var _default = /*#__PURE__*/(0, _react.memo)( /*#__PURE__*/(0, _react.forwardRef)(Heading));

exports.default = _default;
//# sourceMappingURL=index.js.map