function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { SliderContext } from './Context';
import Box from '../Box';
import { usePropsResolution } from '../../../hooks/useThemeProps';

const SliderFilledTrack = (props, ref) => {
  const {
    isReversed,
    colorScheme,
    state,
    trackLayout,
    // orientation,
    variant,
    isDisabled,
    sliderSize,
    isReadOnly
  } = React.useContext(SliderContext); // console.log(
  //   // isReversed,
  //   variant,
  //   state.getThumbPercent(0),
  //   'variant here ***'
  // );
  // const sliderTrackPosition = isReversed
  //   ? variant === 'vertical'
  //     ? trackLayout.height - trackLayout.height * state.getThumbPercent(0)
  //     : trackLayout.width - trackLayout.width * state.getThumbPercent(0)
  //   : state.getThumbPercent(0) * 100 + '%';

  let sliderTrackPosition = state.getThumbPercent(0) * 100 + '%';

  if (isReversed) {
    sliderTrackPosition = variant === 'vertical' ? trackLayout.height - trackLayout.height * state.getThumbPercent(0) : trackLayout.width - trackLayout.width * state.getThumbPercent(0);
  } // else {
  //   sliderTrackPosition = state.getThumbPercent(0) * 100 + '%';
  // }


  const resolvedProps = usePropsResolution('SliderFilledTrack', {
    size: sliderSize,
    colorScheme,
    isReversed,
    variant,
    ...props
  }, {
    isDisabled,
    isReadOnly,
    isReversed
  }); // console.log(
  //   // resolvedProps,
  //   // orientation,
  //   sliderTrackPosition,
  //   variant,
  //   'resolved props here &&& >>>>'
  // );

  return /*#__PURE__*/React.createElement(Box, _extends({
    position: "absolute"
  }, resolvedProps, {
    ref: ref,
    size: 4,
    style: {
      width: variant !== 'vertical' ? sliderTrackPosition : 4,
      height: variant === 'vertical' ? sliderTrackPosition : 4
    } // {...(isReadOnly && _readOnly)}
    // {...(isDisabled && _disabled)}

  }));
};

export default /*#__PURE__*/React.forwardRef(SliderFilledTrack);
//# sourceMappingURL=SliderFilledTrack.js.map