function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { memo, forwardRef } from 'react';
import { default as Box } from '../Box';
import getSpacedChildren from '../../../utils/getSpacedChildren';
import { usePropsResolution } from '../../../hooks/useThemeProps';
import { useNativeBaseConfig } from '../../../core/NativeBaseContext';
import { useToken } from '../../../hooks';

const Stack = ({ ...props
}, ref) => {
  const dir = props.direction;
  const state = {
    isDisabled: props.isDisabled,
    isHovered: props.isHovered,
    isFocused: props.isFocused,
    isInvalid: props.isInvalid,
    isReadOnly: props.isReadOnly
  };
  const {
    children,
    direction,
    reversed,
    divider,
    space,
    ...resolvedProps
  } = usePropsResolution('Stack', props, state, {
    resolveResponsively: ['space', 'direction']
  });
  const isSSR = useNativeBaseConfig('NativeBase').isSSR;
  const disableCSSMediaQueries = !isSSR;
  const thumbAbsoluteSize = useToken('components.Stack.sizes', space); // console.log(
  //   space,
  //   'hello size !!!!',
  //   thumbAbsoluteSize,
  //   unResolvedProps,
  //   resolvedProps
  // );
  // console.log(direction, 'INTERNAL_themeStyle ***');

  return /*#__PURE__*/React.createElement(Box, _extends({
    flexDirection: dir
  }, resolvedProps, {
    ref: ref // @ts-ignore
    ,
    gap: disableCSSMediaQueries ? undefined : thumbAbsoluteSize
  }), getSpacedChildren(children, thumbAbsoluteSize, direction === 'row' ? 'X' : 'Y', reversed ? 'reverse' : 'normal', divider));
};

export default /*#__PURE__*/memo( /*#__PURE__*/forwardRef(Stack));
//# sourceMappingURL=Stack.js.map