import React from 'react';
import type { IFormControlProps } from './types';
export declare type IFormControlContext = Omit<ReturnType<typeof useFormControlProvider>, 'htmlProps'>;
export declare const FormControlContext: React.Context<{}>;
export declare function useFormControlProvider(props: IFormControlProps): {
    isRequired: boolean;
    isInvalid: boolean;
    isReadOnly: boolean;
    isDisabled: boolean;
    hasFeedbackText: boolean;
    setHasFeedbackText: React.Dispatch<React.SetStateAction<boolean>>;
    hasHelpText: boolean;
    setHasHelpText: React.Dispatch<React.SetStateAction<boolean>>;
    nativeID: string;
    labelId: string;
    feedbackId: string;
    helpTextId: string;
    htmlProps: {
        children?: any;
        _text?: Partial<import("../../primitives").ITextProps> | undefined;
        bg?: import("../../types").ResponsiveValue<import("../../types").ColorType | import("../../primitives/Box/types").ILinearGradientProps>;
        background?: import("../../types").ResponsiveValue<import("../../types").ColorType | import("../../primitives/Box/types").ILinearGradientProps>;
        bgColor?: import("../../types").ResponsiveValue<import("../../types").ColorType | import("../../primitives/Box/types").ILinearGradientProps>;
        backgroundColor?: import("../../types").ResponsiveValue<import("../../types").ColorType | import("../../primitives/Box/types").ILinearGradientProps>;
        hitSlop?: import("react-native").Insets | undefined;
        onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
        pointerEvents?: "none" | "auto" | "box-none" | "box-only" | undefined;
        removeClippedSubviews?: boolean | undefined;
        style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
        testID?: string | undefined;
        collapsable?: boolean | undefined;
        needsOffscreenAlphaCompositing?: boolean | undefined;
        renderToHardwareTextureAndroid?: boolean | undefined;
        focusable?: boolean | undefined;
        shouldRasterizeIOS?: boolean | undefined;
        isTVSelectable?: boolean | undefined;
        hasTVPreferredFocus?: boolean | undefined;
        tvParallaxProperties?: import("react-native").TVParallaxProperties | undefined;
        tvParallaxShiftDistanceX?: number | undefined;
        tvParallaxShiftDistanceY?: number | undefined;
        tvParallaxTiltAngle?: number | undefined;
        tvParallaxMagnification?: number | undefined;
        onStartShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onMoveShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onResponderEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderGrant?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderReject?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderRelease?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onResponderTerminationRequest?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onResponderTerminate?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onStartShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onMoveShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
        onTouchStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchCancel?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        onTouchEndCapture?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
        accessible?: boolean | undefined;
        accessibilityActions?: readonly Readonly<{
            name: string;
            label?: string | undefined;
        }>[] | undefined;
        accessibilityLabel?: string | undefined;
        accessibilityRole?: import("react-native").AccessibilityRole | undefined;
        accessibilityState?: import("react-native").AccessibilityState | undefined;
        accessibilityHint?: string | undefined;
        accessibilityValue?: import("react-native").AccessibilityValue | undefined;
        onAccessibilityAction?: ((event: import("react-native").AccessibilityActionEvent) => void) | undefined;
        accessibilityLiveRegion?: "none" | "polite" | "assertive" | undefined;
        importantForAccessibility?: "auto" | "no" | "yes" | "no-hide-descendants" | undefined;
        accessibilityElementsHidden?: boolean | undefined;
        accessibilityViewIsModal?: boolean | undefined;
        onAccessibilityEscape?: (() => void) | undefined;
        onAccessibilityTap?: (() => void) | undefined;
        onMagicTap?: (() => void) | undefined;
        accessibilityIgnoresInvertColors?: boolean | undefined;
        safeArea?: number | boolean | undefined;
        safeAreaX?: number | boolean | undefined;
        safeAreaY?: number | boolean | undefined;
        safeAreaTop?: number | boolean | undefined;
        safeAreaBottom?: number | boolean | undefined;
        safeAreaLeft?: number | boolean | undefined;
        safeAreaRight?: number | boolean | undefined;
        _web?: Partial<IFormControlProps> | undefined;
        _ios?: Partial<IFormControlProps> | undefined;
        _android?: Partial<IFormControlProps> | undefined;
        _light?: Partial<IFormControlProps> | undefined;
        _dark?: Partial<IFormControlProps> | undefined;
        _important?: Partial<IFormControlProps> | undefined;
        p?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        margin?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        m?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        marginTop?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        mt?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        marginRight?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        mr?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        marginBottom?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        mb?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        marginLeft?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        ml?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        marginX?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        mx?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        marginY?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        my?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        padding?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        paddingTop?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        pt?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        paddingRight?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        pr?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        paddingBottom?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        pb?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        paddingLeft?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        pl?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        paddingX?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        px?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        paddingY?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        py?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        borderWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "8" | "4" | (string & {}) | (number & {})>;
        borderStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderStyle | undefined>;
        borderColor?: import("../../types").ColorType;
        borderRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        borderTopWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "8" | "4" | (string & {}) | (number & {})>;
        borderTopStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderTopStyle | undefined>;
        borderTopColor?: import("../../types").ColorType;
        borderTopLeftRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        borderTopRightRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        borderRightWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "8" | "4" | (string & {}) | (number & {})>;
        borderRightStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderRightStyle | undefined>;
        borderRightColor?: import("../../types").ColorType;
        borderBottomWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "8" | "4" | (string & {}) | (number & {})>;
        borderBottomStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderBottomStyle | undefined>;
        borderBottomColor?: import("../../types").ColorType;
        borderBottomLeftRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        borderBottomRightRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        borderLeftWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "8" | "4" | (string & {}) | (number & {})>;
        borderLeftStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderLeftStyle | undefined>;
        borderLeftColor?: import("../../types").ColorType;
        borderX?: import("../../types").ResponsiveValue<import("csstype").Property.BorderLeft<0 | (string & {})> | undefined>;
        borderY?: import("../../types").ResponsiveValue<import("csstype").Property.BorderTop<0 | (string & {})> | undefined>;
        rounded?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        width?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        w?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        height?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        h?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        display?: import("../../types").ResponsiveValue<import("csstype").Property.Display | undefined>;
        minWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        minW?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        minH?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        minHeight?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        maxWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        maxW?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        maxHeight?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        maxH?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        size?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        overflow?: import("../../types").ResponsiveValue<import("csstype").Property.Overflow | undefined>;
        overflowX?: import("../../types").ResponsiveValue<import("csstype").Property.OverflowX | undefined>;
        overflowY?: import("../../types").ResponsiveValue<import("csstype").Property.OverflowY | undefined>;
        alignItems?: import("../../types").ResponsiveValue<import("csstype").Property.AlignItems | undefined>;
        alignContent?: import("../../types").ResponsiveValue<import("csstype").Property.AlignContent | undefined>;
        justifyItems?: import("../../types").ResponsiveValue<import("csstype").Property.JustifyItems | undefined>;
        justifyContent?: import("../../types").ResponsiveValue<import("csstype").Property.JustifyContent | undefined>;
        flexWrap?: import("../../types").ResponsiveValue<import("csstype").Property.FlexWrap | undefined>;
        flexDirection?: import("../../types").ResponsiveValue<import("csstype").Property.FlexDirection | undefined>;
        flex?: import("../../types").ResponsiveValue<import("csstype").Property.Flex<0 | (string & {})> | undefined>;
        flexGrow?: import("../../types").ResponsiveValue<import("csstype").Property.FlexGrow | undefined>;
        flexShrink?: import("../../types").ResponsiveValue<import("csstype").Property.FlexShrink | undefined>;
        flexBasis?: import("../../types").ResponsiveValue<import("csstype").Property.FlexBasis<0 | (string & {})> | undefined>;
        alignSelf?: import("../../types").ResponsiveValue<import("csstype").Property.AlignSelf | undefined>;
        position?: import("../../types").ResponsiveValue<import("csstype").Property.Position | undefined>;
        zIndex?: unknown;
        top?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        right?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        bottom?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        left?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
        outlineColor?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineColor | undefined>;
        outlineStyle?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineStyle | undefined>;
        opacity?: import("../../types").ResponsiveValue<0 | 50 | 100 | 5 | 10 | 20 | 40 | 80 | 30 | 60 | (string & {}) | (number & {}) | 70 | 25 | 75 | 90 | 95>;
        color?: import("../../types").ColorType;
        tintColor?: import("../../types").ColorType;
        textDecorationColor?: import("../../types").ColorType;
        fontFamily?: import("../../types").ResponsiveValue<"body" | (string & {}) | (number & {}) | "heading" | "mono">;
        fontSize?: import("../../types").ResponsiveValue<"lg" | "md" | "sm" | "2xs" | "xs" | "xl" | "3xl" | "5xl" | "6xl" | "7xl" | "4xl" | "2xl" | (string & {}) | (number & {}) | "8xl" | "9xl">;
        fontWeight?: import("../../types").ResponsiveValue<"light" | "bold" | "black" | "normal" | "medium" | "semibold" | (string & {}) | (number & {}) | "hairline" | "thin" | "extrabold" | "extraBlack">;
        lineHeight?: import("../../types").ResponsiveValue<"lg" | "md" | "sm" | "2xs" | "xs" | "xl" | "3xl" | "5xl" | "4xl" | "2xl" | (string & {}) | (number & {})>;
        letterSpacing?: import("../../types").ResponsiveValue<"lg" | "md" | "sm" | "xs" | "xl" | "2xl" | (string & {}) | (number & {})>;
        textDecorationLine?: import("../../types").ResponsiveValue<import("csstype").Property.TextDecorationLine | undefined>;
        shadow?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "none" | "6" | "8" | "4" | "5" | "7" | (string & {}) | "9" | (number & {})>;
        textAlign?: import("../../types").ResponsiveValue<import("csstype").Property.TextAlign | undefined>;
        fontStyle?: import("../../types").ResponsiveValue<import("csstype").Property.FontStyle | undefined>;
        textTransform?: import("../../types").ResponsiveValue<import("csstype").Property.TextTransform | undefined>;
        textDecoration?: unknown;
        txtDecor?: unknown;
        borderTopRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        borderLeftRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        borderRightRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        roundedTopLeft?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        roundedTopRight?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        roundedBottomLeft?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        roundedBottomRight?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        roundedTop?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        borderBottomRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        roundedBottom?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        roundedLeft?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        roundedRight?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
        flexDir?: unknown;
        boxSize?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
        variant?: unknown;
        colorScheme?: import("../../types").ColorSchemeType;
    };
};
/**
 * React hook that provides the props that should be spread on to
 * input fields (`input`, `select`, `textarea`, etc.).
 *
 * It provides a convenient way to control a form fields, validation
 * and helper text.
 */
export declare function useFormControl(props: IFormControlProps): {
    nativeID: string;
    disabled: boolean;
    readOnly: boolean;
    required: boolean;
    accessibilityInvalid: boolean | undefined;
    accessibilityRequired: boolean | undefined;
    accessibilityReadOnly: boolean | undefined;
    accessibilityDescribedBy: string | undefined;
    background?: import("../../types").ResponsiveValue<import("../../types").ColorType | import("../../primitives/Box/types").ILinearGradientProps>;
    children?: any;
    p?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
    margin?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    m?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    marginTop?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    mt?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    marginRight?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    mr?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    marginBottom?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    mb?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    marginLeft?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    ml?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    marginX?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    mx?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    marginY?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    my?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    padding?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    paddingTop?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    pt?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    paddingRight?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    pr?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    paddingBottom?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    pb?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    paddingLeft?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    pl?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    paddingX?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    px?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    paddingY?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    py?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    borderWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "8" | "4" | (string & {}) | (number & {})>;
    borderStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderStyle | undefined>;
    borderColor?: import("../../types").ColorType;
    borderRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    borderTopWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "8" | "4" | (string & {}) | (number & {})>;
    borderTopStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderTopStyle | undefined>;
    borderTopColor?: import("../../types").ColorType;
    borderTopLeftRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    borderTopRightRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    borderRightWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "8" | "4" | (string & {}) | (number & {})>;
    borderRightStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderRightStyle | undefined>;
    borderRightColor?: import("../../types").ColorType;
    borderBottomWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "8" | "4" | (string & {}) | (number & {})>;
    borderBottomStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderBottomStyle | undefined>;
    borderBottomColor?: import("../../types").ColorType;
    borderBottomLeftRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    borderBottomRightRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    borderLeftWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "8" | "4" | (string & {}) | (number & {})>;
    borderLeftStyle?: import("../../types").ResponsiveValue<import("csstype").Property.BorderLeftStyle | undefined>;
    borderLeftColor?: import("../../types").ColorType;
    borderX?: import("../../types").ResponsiveValue<import("csstype").Property.BorderLeft<0 | (string & {})> | undefined>;
    borderY?: import("../../types").ResponsiveValue<import("csstype").Property.BorderTop<0 | (string & {})> | undefined>;
    rounded?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    width?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    w?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    height?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    h?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    display?: import("../../types").ResponsiveValue<import("csstype").Property.Display | undefined>;
    minWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    minW?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    minH?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    minHeight?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    maxWidth?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    maxW?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    maxHeight?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    maxH?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    size?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    overflow?: import("../../types").ResponsiveValue<import("csstype").Property.Overflow | undefined>;
    overflowX?: import("../../types").ResponsiveValue<import("csstype").Property.OverflowX | undefined>;
    overflowY?: import("../../types").ResponsiveValue<import("csstype").Property.OverflowY | undefined>;
    alignItems?: import("../../types").ResponsiveValue<import("csstype").Property.AlignItems | undefined>;
    alignContent?: import("../../types").ResponsiveValue<import("csstype").Property.AlignContent | undefined>;
    justifyItems?: import("../../types").ResponsiveValue<import("csstype").Property.JustifyItems | undefined>;
    justifyContent?: import("../../types").ResponsiveValue<import("csstype").Property.JustifyContent | undefined>;
    flexWrap?: import("../../types").ResponsiveValue<import("csstype").Property.FlexWrap | undefined>;
    flexDirection?: import("../../types").ResponsiveValue<import("csstype").Property.FlexDirection | undefined>;
    flex?: import("../../types").ResponsiveValue<import("csstype").Property.Flex<0 | (string & {})> | undefined>;
    flexGrow?: import("../../types").ResponsiveValue<import("csstype").Property.FlexGrow | undefined>;
    flexShrink?: import("../../types").ResponsiveValue<import("csstype").Property.FlexShrink | undefined>;
    flexBasis?: import("../../types").ResponsiveValue<import("csstype").Property.FlexBasis<0 | (string & {})> | undefined>;
    alignSelf?: import("../../types").ResponsiveValue<import("csstype").Property.AlignSelf | undefined>;
    position?: import("../../types").ResponsiveValue<import("csstype").Property.Position | undefined>;
    zIndex?: unknown;
    top?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    right?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    bottom?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    left?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "full" | "6" | "80" | "8" | "12" | "4" | "16" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | (number & {})>;
    outlineColor?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineColor | undefined>;
    outlineStyle?: import("../../types").ResponsiveValue<import("csstype").Property.OutlineStyle | undefined>;
    bg?: import("../../types").ResponsiveValue<import("../../types").ColorType | import("../../primitives/Box/types").ILinearGradientProps>;
    backgroundColor?: import("../../types").ResponsiveValue<import("../../types").ColorType | import("../../primitives/Box/types").ILinearGradientProps>;
    bgColor?: import("../../types").ResponsiveValue<import("../../types").ColorType | import("../../primitives/Box/types").ILinearGradientProps>;
    colorScheme?: import("../../types").ColorSchemeType;
    opacity?: import("../../types").ResponsiveValue<0 | 50 | 100 | 5 | 10 | 20 | 40 | 80 | 30 | 60 | (string & {}) | (number & {}) | 70 | 25 | 75 | 90 | 95>;
    color?: import("../../types").ColorType;
    tintColor?: import("../../types").ColorType;
    textDecorationColor?: import("../../types").ColorType;
    fontFamily?: import("../../types").ResponsiveValue<"body" | (string & {}) | (number & {}) | "heading" | "mono">;
    fontSize?: import("../../types").ResponsiveValue<"lg" | "md" | "sm" | "2xs" | "xs" | "xl" | "3xl" | "5xl" | "6xl" | "7xl" | "4xl" | "2xl" | (string & {}) | (number & {}) | "8xl" | "9xl">;
    fontWeight?: import("../../types").ResponsiveValue<"light" | "bold" | "black" | "normal" | "medium" | "semibold" | (string & {}) | (number & {}) | "hairline" | "thin" | "extrabold" | "extraBlack">;
    lineHeight?: import("../../types").ResponsiveValue<"lg" | "md" | "sm" | "2xs" | "xs" | "xl" | "3xl" | "5xl" | "4xl" | "2xl" | (string & {}) | (number & {})>;
    letterSpacing?: import("../../types").ResponsiveValue<"lg" | "md" | "sm" | "xs" | "xl" | "2xl" | (string & {}) | (number & {})>;
    textDecorationLine?: import("../../types").ResponsiveValue<import("csstype").Property.TextDecorationLine | undefined>;
    shadow?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "none" | "6" | "8" | "4" | "5" | "7" | (string & {}) | "9" | (number & {})>;
    textAlign?: import("../../types").ResponsiveValue<import("csstype").Property.TextAlign | undefined>;
    fontStyle?: import("../../types").ResponsiveValue<import("csstype").Property.FontStyle | undefined>;
    textTransform?: import("../../types").ResponsiveValue<import("csstype").Property.TextTransform | undefined>;
    textDecoration?: unknown;
    txtDecor?: unknown;
    borderTopRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    borderLeftRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    borderRightRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    roundedTopLeft?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    roundedTopRight?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    roundedBottomLeft?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    roundedBottomRight?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    roundedTop?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    borderBottomRadius?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    roundedBottom?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    roundedLeft?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    roundedRight?: import("../../types").ResponsiveValue<"lg" | "full" | "none" | "md" | "sm" | "xs" | "xl" | "3xl" | "2xl" | (string & {}) | (number & {})>;
    flexDir?: unknown;
    boxSize?: import("../../types").ResponsiveValue<"0" | "1" | "2" | "3" | "px" | "lg" | "full" | "md" | "6" | "80" | "sm" | "2xs" | "8" | "xs" | "12" | "4" | "16" | "xl" | "5" | "24" | "32" | "7" | "0.5" | "2.5" | "2xl" | "1.5" | "10" | "20" | "64" | (string & {}) | "3.5" | "9" | "40" | "48" | "56" | "72" | "96" | "1/2" | "1/3" | "2/3" | "1/4" | "2/4" | "3/4" | "1/5" | "2/5" | "3/5" | "4/5" | "1/6" | "2/6" | "3/6" | "4/6" | "5/6" | "container" | "3xs" | (number & {})>;
    variant?: unknown;
    pointerEvents?: "none" | "auto" | "box-none" | "box-only" | undefined;
    testID?: string | undefined;
    _dark?: Partial<IFormControlProps> | undefined;
    _web?: Partial<IFormControlProps> | undefined;
    _ios?: Partial<IFormControlProps> | undefined;
    _android?: Partial<IFormControlProps> | undefined;
    _light?: Partial<IFormControlProps> | undefined;
    _important?: Partial<IFormControlProps> | undefined;
    onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    accessible?: boolean | undefined;
    accessibilityActions?: readonly Readonly<{
        name: string;
        label?: string | undefined;
    }>[] | undefined;
    accessibilityLabel?: string | undefined;
    accessibilityRole?: import("react-native").AccessibilityRole | undefined;
    accessibilityState?: import("react-native").AccessibilityState | undefined;
    accessibilityHint?: string | undefined;
    accessibilityValue?: import("react-native").AccessibilityValue | undefined;
    onAccessibilityAction?: ((event: import("react-native").AccessibilityActionEvent) => void) | undefined;
    accessibilityLiveRegion?: "none" | "polite" | "assertive" | undefined;
    importantForAccessibility?: "auto" | "no" | "yes" | "no-hide-descendants" | undefined;
    accessibilityElementsHidden?: boolean | undefined;
    accessibilityViewIsModal?: boolean | undefined;
    onAccessibilityEscape?: (() => void) | undefined;
    onAccessibilityTap?: (() => void) | undefined;
    onMagicTap?: (() => void) | undefined;
    accessibilityIgnoresInvertColors?: boolean | undefined;
    _text?: Partial<import("../../primitives").ITextProps> | undefined;
    hitSlop?: import("react-native").Insets | undefined;
    removeClippedSubviews?: boolean | undefined;
    collapsable?: boolean | undefined;
    needsOffscreenAlphaCompositing?: boolean | undefined;
    renderToHardwareTextureAndroid?: boolean | undefined;
    focusable?: boolean | undefined;
    shouldRasterizeIOS?: boolean | undefined;
    isTVSelectable?: boolean | undefined;
    hasTVPreferredFocus?: boolean | undefined;
    tvParallaxProperties?: import("react-native").TVParallaxProperties | undefined;
    tvParallaxShiftDistanceX?: number | undefined;
    tvParallaxShiftDistanceY?: number | undefined;
    tvParallaxTiltAngle?: number | undefined;
    tvParallaxMagnification?: number | undefined;
    onStartShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onMoveShouldSetResponder?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onResponderEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderGrant?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderReject?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderRelease?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onResponderTerminationRequest?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onResponderTerminate?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onStartShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onMoveShouldSetResponderCapture?: ((event: import("react-native").GestureResponderEvent) => boolean) | undefined;
    onTouchStart?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchMove?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchEnd?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchCancel?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onTouchEndCapture?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    safeArea?: number | boolean | undefined;
    safeAreaX?: number | boolean | undefined;
    safeAreaY?: number | boolean | undefined;
    safeAreaTop?: number | boolean | undefined;
    safeAreaBottom?: number | boolean | undefined;
    safeAreaLeft?: number | boolean | undefined;
    safeAreaRight?: number | boolean | undefined;
};
export declare const useFormControlContext: () => IFormControlContext;
