export declare const stylingProps: {
    margin: string[];
    padding: string[];
    border: string[];
    layout: string[];
    flexbox: string[];
    position: string[];
    outline: string[];
    background: string[];
};
export declare type Dict = Record<string, any>;
export declare function omitUndefined(obj: any): Partial<any>;
export declare function getRandomString(length: number): string;
export declare function orderedExtractInObject(parent: any, values: Array<string>): Partial<any>[];
/**
 *
 * @param parent The object from which data needs to extracted
 * @param values Keys which needs to be extracted
 * @returns [Stylesheet with extractedStyles, Stylesheet with remainingStyles]
 */
/**
 *
 * @param parent The object from which data needs to extracted
 * @param values Keys which needs to be extracted
 * @returns [extractedProps, remainingProps]
 */
export declare function extractInObject(parent: any, values: Array<string>): Partial<any>[];
export declare function getColorFormColorScheme(props: Record<string, any>): any;
export declare function getColorScheme(props: Record<string, any>, customColorScheme?: string): any;
export declare const inValidBreakpointProps: string[];
export declare function hasValidBreakpointFormat(breaks: any, themeBreakpoints?: any, property?: string): boolean;
export declare function findLastValidBreakpoint(values: any, themeBreakpoints: any, currentBreakpoint: number): any;
export declare function getClosestBreakpoint(values: Record<string, any>, point: number): number;
export declare const baseFontSize = 16;
export declare const convertAbsoluteToRem: (px: number) => string;
export declare const convertRemToAbsolute: (rem: number) => number;
export declare const convertToDp: (value: number | string) => number;
/**
 *
 * @param theme
 * @description
  - Converts space/sizes/lineHeights/letterSpacings/fontSizes to `rem` on web if the token value specified is an absolute number.
  - Converts space/sizes/lineHeights/letterSpacings/fontSizes to absolute number on native if the token value specified is in `px` or `rem`
*/
export declare function isResponsiveAnyProp(props: Record<string, any>, theme: any): boolean;
export declare function isLiteral(value: any): boolean;
